H-Sphere Documentation Upgrades

For more information contact us

Upgrading H-Sphere to 2.4 Patch 2

 

This document explains how to upgrade H-Sphere from 2.3.1 Patch 9, any of 2.3.2 versions, earlier 2.4 betas, 2.4 RCs, 2.4 Final and 2.4 Patch 1 to 2.4 Patch 2. If your H-Sphere version is lower than 2.3.1 Patch 9 (build 2.3.1.385), please upgrade to 2.3.1 Patch 9 first.

To upgrade from a version older than 2.2, you must upgrade to all transitional versions (marked with asterisks in the list of H-Sphere versions) one after the other, from the older to the newer.

This patch introduces a series of Qmail updates and a number of bugfixes.

IMPORTANT:

  • Don't forget to upgrade Winbox to 2.4 Patch 2 if you have an older version.
  • The upgrade won't work without a valid H-Sphere license to cover all accounts in the system.
  • H-Sphere currently supports only the following operation systems:
    Linux RedHat (7.2, 7.3, RHES 2.1, RHWS 2.1, RHAS 2.1, RHWS3, RHES3, RHAS3), CentOS 3.1, and FreeBSD (4.7 - 4.9)
  • If you upgrade from older versions of H-Sphere, you must first upgrade your MySQL to 4.x, your user PostgreSQL to 7.3, and system PostgreSQL to 7.3.
  • For correct performance of WebShell4, you need 1.3.29 apache update.
  • If you have custom templates, you'll have to update them according to the new requirements.

Procedure

  1. Make sure to have H-Sphere 2.3.1 Patch 9 or an earlier 2.4 beta installed:
    # cat ~cpanel/shiva/psoft_config/hsphere.properties | grep HS_VERSION
    If you have an older version, contact support@psoft.net or read how to upgrade from previous versions.
  2. Download 2.4 Patch 2 installation package from the Positive Software site:
    # wget http://www.psoft.net/shiv/HS/U24/U24.0P2/U24.0P2
    Make sure the target directory doesn't contain any other U24.0P2 file!
  3. Make sure that permissions to /usr/bin/wget are set to 0755 during the installation.
  4. Stop H-Sphere using one of the following commands:
    Linux:
    # /etc/rc.d/init.d/httpdcp stop
    FreeBSD:
    # /usr/local/etc/rc.d/apachecp.sh stop

    To stop SiteStudio, stop Imaker by running:
    # kill -9 `ps -axw|grep imaker.sh |grep -v grep|awk '{print $1}'`
    # kill -9 `ps -axw|grep ImageMaker|grep -v grep|awk '{print $1}'`

  5. Run the update script:
    # sh ./U24.0P2
    You will see a help window with a prompt to enter update options.
    • To update H-Sphere to version 2.4 Patch 2 and Site Studio to version 1.6 RC 3, enter:
      update
    • To update only H-Sphere to version 2.4 Patch 2, enter:
      hsupdate
    • To update only Site Studio to 1.6 RC 3, enter:
      ssupdate
      Important: To work with H-Sphere 2.4 Patch 2 upgraded from version 2.3, Site Studio must be updated to 1.6 RC 3
    Note: After the installation, you'll be able to add more servers or services to the cluster by following the Adding Servers and Adding Services manuals.
  6. If your system database holds data in international encoding format, update it to UTF-8.
  7. Upgrade your Winbox to 2.4 Patch 2.
  8. Start H-Sphere CP:
    Linux:
    # /etc/rc.d/init.d/httpdcp start
    FreeBSD:
    # /usr/local/etc/rc.d/apachecp.sh start
  9. Start ImageMaker:
    Linux:
    # /hsphere/shared/SiteStudio/imaker.sh >& /hsphere/shared/SiteStudio/var/error_log 2>&1 &
    FreeBSD:
    # /hsphere/shared/SiteStudio/imaker.sh >& /hsphere/shared/SiteStudio/var/error_log &
  10. Check the version of H-Sphere:
    # cat ~cpanel/shiva/psoft_config/hsphere.properties | grep HS_VERSION

    You will see a line similar to this:
    HS_VERSION = 2.4.0.426.20040527
    Where:
    2.4.0 is the version of H-Sphere,
    426 is H-Sphere build,
    20040527 is the build date (in YYYYMMDD format)
    You can have a later build of version 2.4.0.


Copyright 1998-2006. Positive Software Corporation.
All rights reserved.